For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get all transactions

Returns all Onramp transactions

This endpoint will return all the onramp transactions

Get all Onramp transactions

POST https://api.onramp.money/onramp/api/v2/whiteLabel/onramp/allTransaction

Request Body

Name
Type
Description

pageSize*

String

Number of Transactions per page. Should be greater than 0 and less than 500

page*

String

Current page Number

Should be greater than 0

{
  "status": 1,
  "code": 200,
  "data": [
    {
      "transactionId": "635",
      "createdAt": "2023-12-08T00:31:45.000Z",
      "updatedAt": "2023-12-08T00:31:44.000Z",
      "fromAmount": "1741",
      "toAmount": "18.32",
      "fromCurrency": "INR",
      "toCurrency": "usdc",
      "chain": "matic20",
      "paymentMethodType": "IMPS",
      "depositAddress": "0x2EAf174Bf1CD624eD63e3C8c74Dd66B66e5cb273",
      "status": "2",
      "transactionHash": null,
      "kycNeeded": 1
    },
    {
      "transactionId": "634",
      "createdAt": "2023-12-07T22:19:28.000Z",
      "updatedAt": "2023-12-07T22:19:27.000Z",
      "fromAmount": "173435",
      "toAmount": "9.78",
      "fromCurrency": "IDR",
      "toCurrency": "usdc",
      "chain": "matic20",
      "paymentMethodType": "IDR_BANK_TRANSFER",
      "depositAddress": "0x2EAf174Bf1CD624eD63e3C8c74Dd66B66e5cb273",
      "status": "2",
      "transactionHash": null,
      "kycNeeded": 1
    },
    {
      "transactionId": "633",
      "createdAt": "2023-12-07T21:59:27.000Z",
      "updatedAt": "2023-12-07T21:59:27.000Z",
      "fromAmount": "1112",
      "toAmount": "60.92",
      "fromCurrency": "MXN",
      "toCurrency": "usdc",
      "chain": "matic20",
      "paymentMethodType": "SPEI",
      "depositAddress": "0x57414adbBbc4BBA36f1dE26b2dc1648b28ae7799",
      "status": "1",
      "transactionHash": null,
      "kycNeeded": 0
    },
    {
      "transactionId": "632",
      "createdAt": "2023-12-07T21:02:13.000Z",
      "updatedAt": "2023-12-07T21:02:13.000Z",
      "fromAmount": "1065",
      "toAmount": "10.82",
      "fromCurrency": "INR",
      "toCurrency": "usdc",
      "chain": "matic20",
      "paymentMethodType": "UPI",
      "depositAddress": "0xca8fa8f0b631ecdb18cda619c4fc9d197c8affcb",
      "status": "2",
      "transactionHash": null,
      "kycNeeded": 0
    }
  ]
}

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • transactionId -> unique identifier of the transaction

  • createdAt -> time at which the transaction was created.

  • updateAt -> time at which the transaction status is last updated.

  • fromAmount -> Amount of fiat received by the onramp.money.

  • toAmount -> actual amount of crypto bought at the time of swap/trade.

  • fromCurrency -> fiat used for the transaction.

  • toCurrency -> symbol of the coin e.g. USDT).

  • chain -> denotes which chain the coin was sent on (e.g. MATIC20) .

  • paymentMethodType -> payment method in fiat.

  • depositAddress -> Onchain wallet address to which the crypto was withdrawn to.

  • status -> current status of Onramp transaction

    • -4 -> wrong amount sent

    • -3 -> bank and kyc name mismatch

    • -2 -> transaction abandoned

    • -1 -> transaction timed out

    • 0 -> transaction created

    • 1 -> referenceId claimed

    • 2 -> deposit secured

    • 3 or 13 -> crypto purchased

    • 4 or 15 -> withdrawal complete

    • 5 or 16 -> webhook sent

    • 11 -> order placement initiated

    • 12 -> purchasing crypto

    • 14 -> withdrawal initiated

  • transactionHash -> transaction hash related to order.

  • rate -> rate at which the order was executed, displayed only for successful transactions.

  • kycNeeded -> Request for Information.

Last updated